liboobs (3.0.0-3) unstable; urgency=medium

  * Removing Uploaders from debian/control file due to adoption.
  * Bump Standards-Version to 3.9.8.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sat, 23 Apr 2016 19:05:24 +0300

liboobs (3.0.0-2) unstable; urgency=low

  * New maintainer (Closes: #764265).

  [ Josselin Mouette ]
  * Update repository URL.

  [ jbicha-guest ]
  * use canonical Vcs-* fields

  [ Vlad Orlov ]
  * 01-return-error-code.patch: new patch. Correctly return error code on
    unknown dbus errors.
  * 02-proper-warning.patch: new patch. Emit the "unknown error" warning only
    when dbus error is really unknown (Closes: #761964).

  [ Andriy Grytsenko ]
  * debian/control:
    - Bump Standards-Version to 3.9.6 (Fix lintian warning).
    - Remove Vcs-* fields due to package adoption, new ones will be added later.
    - Add Homepage: link (Fix lintian wishlist message).
    - Fix dependency version on system-tools-backends to (>= 2.10.1).
  * debian/rules:
    - Add --disable-silent-rules into confugure options (Fix buildd warning
      dpkg-buildflags-missing).
  * debian/copyright:
    - Change to a machine-readable format (for lintian) and fix errors.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Fri, 10 Oct 2014 22:42:59 +0300

liboobs (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Add Vcs-* fields.
    - Bump Build-Depends on system-tools-backends-dev to (>= 2.10.1).
  * debian/patches/01-gtk-doc-scanner-libs.patch:
    - Removed, merged upstream.
  * debian/patches/02-pkg-config-requires-dbus.patch:
    - Removed, merged upstream.
  * Update library package names for the SONAME bump 4 → 5.
  * Bump shlibs version to (>= 3.0.0).

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Oct 2011 17:44:21 +0200

liboobs (2.30.1-2) unstable; urgency=low

  * debian/rules: Remove simple-patchsys.mk include.
  * 01-gtk-doc-scanner-libs.patch: Link gtk-doc scanner against all necessary
    libraries. Closes: #604795
  * Use dh-autoreconf to update the build system. Closes: #558521
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Bump Standards-Version to 3.9.2. No further changes.
  * 02-pkg-config-requires-dbus.patch: Add missing dbus-1 dependency to the
    pkg-config file. Closes: #629891
  * debian/watch: Track .bz2 tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Jul 2011 23:25:37 +0200

liboobs (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 31 May 2010 10:37:24 +0200

liboobs (2.30.0-2) unstable; urgency=low

  * Disable HAL support, it’s not used at all in the code.
  * Add Breaks for g-s-t < 2.30 since the ABI changed without bumping 
    SONAME. Please give me a cluebat.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 00:06:06 +0200

liboobs (2.30.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.8.4, no changes needed.
    - Bump system-tools-backends-dev build-depend and system-tools-backends
      depend to 2.9.2.
  * debian/rules:
    - Add --with-hal to configure options, now disabled by default upstream.
    - Add shlibs dependency for liboobs-1-4 >= 2.30.0 due to API changes.
  * debian/copyright:
    - Add new copyright notice.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk include.

 -- Luca Bruno <lethalman88@gmail.com>  Fri, 09 Apr 2010 14:20:50 +0200

liboobs (2.22.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump gtk-doc-tools build-depends to >= 1.9.
    - Bump Standards-Version to 3.8.3, no changes needed.
  * debian/rules:
    - Build with --enable-gtk-docs.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 13 Oct 2009 23:06:08 +0200

liboobs (2.22.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Build-depend on libglib2.0-doc to ensure proper xrefs.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/patches/01_smb_crash.patch: removed, fixed upstream.
  * Let every package depend on ${misc:Depends}.
  * liboobs-1-4-dbg is section debug.
  * Inherit the section from the source stanza where it's the same.
  * Standards-Version is 3.8.2, no changes needed.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Aug 2009 01:23:19 +0200

liboobs (2.22.0-2) unstable; urgency=low

  * 01_smb_crash.patch: new patch. Fix NULL pointer dereference by 
    checking the pointer before using it. Closes: #509564.

 -- Josselin Mouette <joss@debian.org>  Wed, 24 Dec 2008 11:23:46 +0100

liboobs (2.22.0-1) unstable; urgency=low

  * New upstream release.
  * Change package name according to the soname.
  * Bump build-dependencies and dependencies according to the new 
    version.
  * Build-depend on libhal-dev.
  * Standards version is 3.7.3.

 -- Josselin Mouette <joss@debian.org>  Wed, 28 May 2008 13:56:22 +0200

liboobs (2.20.0-1) unstable; urgency=low

  [ Kilian Krause ]
  * Add get-orig-source
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly

  [ Josselin Mouette ]
  * New upstream release.
  * Bump shlibs to 2.19.91.
  * Ship the documentation in liboobs-1-dev.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Nov 2007 13:45:25 +0100

liboobs (2.18.1-2) unstable; urgency=low

  * Upload to unstable; drop check-dist include.

 -- Loic Minier <lool@dooz.org>  Sat, 12 May 2007 10:01:52 +0200

liboobs (2.18.1-1) experimental; urgency=low

  [ Riccardo Setti ]
  * New upstream release.

  [ Loic Minier ]
  * Add watch file.

 -- Loic Minier <lool@dooz.org>  Mon, 30 Apr 2007 12:25:36 +0200

liboobs (2.17.91-1) experimental; urgency=low

  * Set myself as Maintainer, GNOME team uploads; build-dep on
    gnome-pkg-tools.
  * Tune descriptions.
  * Don't ship *.la files.
  * Rewrite copyright.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Include CDBS's utils.
  * Initial upload to Debian; closes: #411508.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Feb 2007 15:40:09 +0100

liboobs (2.17.91-0ubuntu1) feisty; urgency=low

  * New upstream version:
    - fix potential memory messing in oobs_share_nfs_get_acl()

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 12 Feb 2007 17:38:29 +0100

liboobs (2.17.5-0ubuntu1) feisty; urgency=low

  * New upstream version:
    - update minimum s-t-b to 2.1.2
    - add support for extensible lists of configuration methods and key types, 
      this way individual distributions may add their own support 
      without affecting others 
  * New upstream version:
    - add function to process all pending messages
    - add a bunch of API docs
    - avoid a conditional jump based on uninitialized values in OobsTimeConfig
  * debian/control:
    - updated for soname change
    - updated system-tools-backends requirement
  * debian/liboobs-1-3.install:
    - updated for soname change
  * debian/liboobs-1-3.shlibs:
    - updated for soname change
  * debian/patches/01_network_add_ipv4ll_method.patch:
    - dropped, the new upstream version has that feature
  * debian/rules:
    - updated for soname change 

 -- Sebastien Bacher <seb128@canonical.com>  Tue,  9 Jan 2007 14:09:16 +0100

liboobs (2.17.3-0ubuntu2) feisty; urgency=low

  * Add debian/patches/01_network_add_ipv4ll_method.patch:
    - Add 'ipv4ll' ethernet configuration method.
    - See https://wiki.ubuntu.com/ZeroConfNetworking.
  * Add debian/liboobs-1-2.shlibs: Bump shlibs to this version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  4 Dec 2006 11:49:59 +0100

liboobs (2.17.3-0ubuntu1) feisty; urgency=low

  * New upstream version:
    - Fix a bunch of compiler warnings
    - Fix a potential crasher in shares-admin nautilus extension
    - Fix an assert with DBus warnings enabled
  * debian/patches/90_from_cvs_fix_users_creation_issue.patch:
    - fixed with the new version

 -- Sebastien Bacher <seb128@canonical.com>  Fri,  1 Dec 2006 12:54:10 +0100

liboobs (0.6.0-0ubuntu2) edgy; urgency=low

  * debian/patches/90_from_cvs_fix_users_creation_issue.patch:
    - patch from CVS, fix an issue when creating several users in a row
      (Ubuntu: #64724)

 -- Sebastien Bacher <seb128@canonical.com>  Mon,  9 Oct 2006 15:21:08 +0200

liboobs (0.6.0-0ubuntu1) edgy; urgency=low

  * New upstream version:
    - Handle better the situations where Liboobs can't get a DBusConnection 
    - Fix supported platforms retrieving 
    - Get/set the gateway properly for static interfaces (Ubuntu: #59690)
    - Code robustness improvements 
  * debian/control:
    - require new system-tools-backend version
  * debian/patches/90_from_cvs_no_assert_when_dbus_not_running.patch:
    - fixed with the new version
  * debian/patches/91_from_cvs_dont_crash_on_configuration_issue.patch:
    - fixed with the new version

 -- Sebastien Bacher <seb128@canonical.com>  Sat,  7 Oct 2006 15:56:06 +0200

liboobs (0.5.0-0ubuntu3) edgy; urgency=low

  * debian/patches/91_from_cvs_dont_crash_on_configuration_issue.patch:
    - patch from CVS, fix crasher when facing a configuration issue 
      (Ubuntu: #62739)

 -- Sebastien Bacher <seb128@canonical.com>  Mon,  2 Oct 2006 17:53:26 +0200

liboobs (0.5.0-0ubuntu2) edgy; urgency=low

  * debian/patches/90_from_cvs_no_assert_when_dbus_not_running.patch:
    - patch from CVS, "No longer assert if liboobs can't get the 
      DBusConnection", fix nautilus crashing for some users due to shares-admin
      (Ubuntu: #62739)  

 -- Sebastien Bacher <seb128@canonical.com>  Mon,  2 Oct 2006 17:04:46 +0200

liboobs (0.5.0-0ubuntu1) edgy; urgency=low

  * New upstream version:
    - Extend and improve error handling, 
      Handle DBUS_ERROR_ACCESS_DENIED properly
    - Adapt to s-t-b DBus struct changes in users, groups and services objects 
    - Code robustness fixes 
  * debian/compat:
    - updated version to 5
  * debian/control:
    - updated debhelper requirement to match compat version
    - updated system-tools-backend requirement
  * debian/control, debian/liboobs-1-1.install, debian/liboobs-1-2.install:
    - updated for soname change
  * debian/rules:
    - no need to specify the dbg package to create, cdbs does that

 -- Sebastien Bacher <seb128@canonical.com>  Sat, 30 Sep 2006 20:03:58 +0200

liboobs (0.4.0-0ubuntu1) edgy; urgency=low

  * New upstream version
  * debian/patches/01_from_cvs_fix_services_breakage.patch:
    - fixed with the new version

 -- Sebastien Bacher <seb128@canonical.com>  Wed,  6 Sep 2006 02:29:50 +0200

liboobs (0.3.0-0ubuntu2) edgy; urgency=low

  * debian/patches/01_from_cvs_fix_services_breakage.patch:
    - fix from the CVS, fix services-admin breaking the services list

 -- Sebastien Bacher <seb128@canonical.com>  Wed,  6 Sep 2006 02:20:07 +0200

liboobs (0.3.0-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - do not export unwanted symbols
    - documentation improvements
    - update to newer DBus API
    - do not offer API functions for guessing init.d service roles
  * debian/control:
    - bumped s-t-b and dbus requirement.
  * debian/patches/01_dbus0.9.patch:
    - dropped, went upstream - thank Sebastian.
  * debian/liboobs-1-0.install, debian/rules, debian/control:
    - soname change.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue,  5 Sep 2006 08:19:31 +0200

liboobs (0.2.0-0ubuntu2) edgy; urgency=low

  * Rebuild against dbus 0.90
  * debian/patches/01_dbus0.9.patch:
    + s/dbus_connection_disconnect/dbus_connection_close/g

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 24 Aug 2006 16:54:01 +0200

liboobs (0.2.0-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - use libc MD5 crypt()
    - fix a crash in oobs_hosts_config_set_domainname()
    - make sure that the "changed" signal is sent to the relevant objects
    - put title to API reference

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed,  2 Aug 2006 20:46:20 +0200

liboobs (0.1.0-0ubuntu4) edgy; urgency=low

  * debian/control:
    - added libdbus-1-dev (>= 0.32), libdbus-glib-1-dev (>= 0.32), 
      libglib2.0-dev (>= 2.6.0) to Depends of liboobs-1-dev.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 13 Jul 2006 16:37:08 +0200

liboobs (0.1.0-0ubuntu3) edgy; urgency=low

  * debian/control:
    - libdbus-glib-1-dev to Build-Depends. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 13 Jul 2006 12:01:29 +0200

liboobs (0.1.0-0ubuntu2) edgy; urgency=low

  * debian/control:
    - Depend on system-tools-backends (>= 1.9.0) as well.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 13 Jul 2006 10:33:26 +0200

liboobs (0.1.0-0ubuntu1) edgy; urgency=low

  * Initial release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 12 Jun 2006 16:37:16 +0200

